一覧取得 · オプション値 — バリエーションとオプション
バリエーションの定義と値を表示します。
GET
/api/v1/variant-options/{identity}/valuescURLリクエスト
curl --disable --globoff --fail-with-body --silent --show-error \
--proto '=https' --connect-timeout 5 --max-time 30 \
--request GET \
--url 'https://shop.onshopently.com/api/v1/variant-options/example/values?limit=20' \
--header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN'
レスポンス
{
"data": [
{
"color_hex": "#008855",
"created_at": "2026-01-01T12:00:00Z",
"id": "example",
"image_media_id": null,
"number": "example",
"option_id": "example",
"position": 1,
"sku_code": "example",
"updated_at": "2026-01-01T12:00:00Z",
"value": "example",
"version": 1
}
],
"meta": {
"locale": "en",
"market_code": "PL",
"market_id": "example",
"pagination": {
"has_more": false,
"limit": 20,
"next_cursor": null
},
"request_id": "example"
}
}